package com.as.member.dao;

import java.math.BigDecimal;

import com.as.common.base.AbstractEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName("as_amount_account")
public class AmountAccount  extends AbstractEntity{
		// 会员信息主键
		@TableField(value = "as_member_sid")
	    private String asMemberSid; 
	 	 // 项目名称
	 	@TableField(value = "project_name")
	    private String projectName;
	    // 单价
	    @TableField(value = "unit_price")
	    private BigDecimal unitPrice; 
	    // 数量
	    @TableField(value = "quantity")
	    private Integer quantity; 
	    // 总价
	    @TableField(value = "total_price")
	    private BigDecimal totalPrice; 
	    // 是否作废
	    @TableField(value = "status")
	    private String status;
	    // 项目sid
	    @TableField(value = "project_sid")
	    private Integer projectSid;
		
	    @TableField(exist = false)
		 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
		private String createdStartDt;// 创建日期（操作时间）
		 @TableField(exist = false)
		 @JsonProperty(access = JsonProperty.Access.WRITE_ONLY) // 能接收 不能返回
		private String createdEndDt;// 创建日期（操作时间）
	   
}
