package com.as.member.dao;


import com.as.common.base.AbstractEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @version 1.0
 * @author： lyu
 * @date： 2024-03-31 13:50 会员充值记录表
 */
@Setter
@Getter
@ToString
@TableName("as_member_top_up")
public class MemberTopUpData extends AbstractEntity {

    @TableField(value = "as_member_sid")
    private String asMemberSid; // 会员信息主键
    @TableField(value = "top_up_money")
    private BigDecimal topUpMoney; // 充值金额
    @TableField(value = "cancel_reason")
    private String cancelReason; // 撤销充值原因
    @TableField(value = "status")
    private String status; // 0:充值,1:撤销充值

}
