package com.as.member.service;

import java.util.List;

import com.as.member.dao.Project;

public interface ProjectService {

	
	/**
	 * 查询方法
	 */
	List<Project> findProjectList(Project date) throws Exception;
	/**
	 * 增加方法
	 */
	Project addProject(Project date, String userName) throws Exception;
	/**
	 * 修改方法
	 */
	Project editProject(Project date, String userName) throws Exception;
	/**
	 * 查询所有的项目类型方法
	 */
	List<String> findProjectNameList() throws Exception;
	/**
	 * 删除方法
	 */
	int delProjectById(Long id) throws Exception;
}
