package com.as.user.mapper;




import com.as.user.dao.MenuData;
import com.as.user.dao.Role;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;



@Mapper
public interface RoleMapper extends BaseMapper<Role>{
	
	@Select("SELECT as_sys_role.role_id,role_name,role_key,status as status FROM as_sys_role,"
			+ "	as_sys_user_role WHERE as_sys_user_role.user_id = #{userId} AND as_sys_user_role.role_id = as_sys_role.role_id;")
	List<Role> findByUserId(Integer userId);
	
}
