package com.as.workflow.service;

import java.util.HashMap;
import java.util.List;

import com.as.user.dao.Role;
import com.as.user.dao.UserData;
import com.as.workflow.dao.ViewWorkFlowEntity;
import com.as.workflow.dao.WorkFlowEntity;

public interface WorkFlowService {

	HashMap<String, Object> findViewToWokeList(WorkFlowEntity workFlowEntity) throws Exception;

	List<WorkFlowEntity> findWorkFlowList(WorkFlowEntity workFlowEntity) throws Exception;

	Integer addWorkFlow(WorkFlowEntity workFlowEntity, List<Role> roleList, UserData user) throws Exception;
	
	List<HashMap<String,Object>> getStatus(WorkFlowEntity workFlowEntity) throws Exception;

}
