package com.as.common.utils;

import java.sql.Timestamp;
import java.time.Instant;
import java.time.ZoneId;
import java.time.ZonedDateTime;

public class TimeUtils {
	public static Timestamp nowDateTime() {
        // 获取当前时间的Instant  
        Instant now = Instant.now();  
  
        // 使用Asia/Shanghai时区将Instant转换为ZonedDateTime  
        ZonedDateTime zonedDateTime = now.atZone(ZoneId.of("Asia/Shanghai"));  
  
        // 将ZonedDateTime转换为Timestamp  
        Timestamp timestamp = Timestamp.from(zonedDateTime.toInstant());
        return timestamp;
	}
}
