package com.as.member.service;

import java.util.List;

import com.as.member.dao.AmountAccount;
import com.as.member.dao.Project;

public interface AmountAccountService {
	/**
	 * 查询方法
	 */
	List<AmountAccount> findAmountAccountList(AmountAccount date) throws Exception;
	/**
	 * 增加方法,注意增加方法需要增加联动, 1 通过项目id查询到本项目。 2 通过项目数量和项目id进行钱款的扣除同时在修改会员id内钱款相关的值
	 */
	AmountAccount addAmountAccount(AmountAccount date, String userName) throws Exception;
	/**
	 * 修改方法
	 */
	AmountAccount editAmountAccount(AmountAccount date, String userName) throws Exception;
	/**
	 * 删除方法 这东西能删除？ 要是不能就不实现了。 如果需要删除记得把钱加回来
	 */
	int delAmountAccountById(Integer id) throws Exception;
}
