package com.as.user.dao;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
@Setter
@Getter
@ToString
@TableName("as_sys_users")
public class UserData {


	@TableId(value = "sid",type = IdType.AUTO)
	private Integer sid; // id
	@TableField(value = "user_id")
	private Integer userId; // 用户id
	@TableField(value = "user_name")
	private String userName; // 用户名
	@TableField(value = "user_phone")
	private String userPhone; // 用户电话
	@TableField(value = "pwd")
	private String pwd;// 用户密码
	
	
	 public UserDTO toUserDto() {  
		 	UserDTO dto = new UserDTO();  
		 	dto.setSid(this.sid);
		 	dto.setUserId(this.userId);
		 	dto.setUserName(this.userName);
		 	dto.setUserPhone(this.userPhone);
	        // 注意没有设置 field3  
	        return dto;  
	    }  
	 

}



